package de.mud.jta.plugin;


import java.util.Vector;
import java.io.IOException;
import de.mud.jta.plugin.SSH;
import de.mud.jta.PluginBus;

public class CustomSSH extends SSH{

    private int debug = 0;
    
    private boolean linesFlag = false;
    private Vector strLines = new Vector(0);
    //private String lineMessenger;


    ////////////////////////////////////////////////////////////
    public CustomSSH(final PluginBus bus,final String id){
    ////////////////////////////////////////////////////////////
        super(bus,id);
   }

    /////////////////////////
    public String readLine(){
    /////////////////////////
        synchronized(strLines){
            if((strLines.size()>0) && 
               (strLines.firstElement().toString().endsWith("\n"))){
                 return strLines.remove(0).toString().trim();
            }
            else{
                    try{ strLines.wait(); }
                    catch(Exception e){ System.err.println("Exception occor @ readLine()::CustomSSH :"+e); }
                    return readLine();
            }
        }
    }

    /////////////////////////////////////////////////////
    public void createLines(byte[] b,int n){
    /////////////////////////////////////////////////////
        String rawStr = null;

        try{ rawStr = new String(b,0,n,"latin1"); }
        catch(Exception e)
        { System.err.print("->SSH::createLines():"+e); }

        int begin,end;
        begin=end=0;

        synchronized(strLines){
            while(begin<rawStr.length()){
                StringBuffer sb = null;
                if((end = rawStr.indexOf("\n",begin))==-1) end = rawStr.length()-1;

                if((strLines.size() <= 0) || (strLines.lastElement().toString().indexOf("\n") != -1)){
                    sb = new StringBuffer(rawStr.substring(begin,end+1));
                    strLines.add(sb);
                }
                else{
                    sb = new StringBuffer(strLines.lastElement().toString());
                    sb.append(rawStr.substring(begin,end+1));
                    strLines.remove(strLines.lastElement());
                    strLines.add(sb);
                }

                if(sb.toString().equals("GAIN_END_OF_COMMAND")) break;
                begin = end+1;
            }
            strLines.notify();
        }
    } 

    //////////////////////////////////////////////
    public synchronized int read(byte[] b) throws IOException {
    //////////////////////////////////////////////
    // we don't want to read from the pipeline without authorization
        while(!super.auth) try {
          Thread.sleep(1000);
        } catch(InterruptedException e) {
          e.printStackTrace();
        }

        // Empty the buffer before we do anything else
        if(buffer != null) {
          int amount = ((buffer.length - pos) <= b.length) ?
                          buffer.length - pos : b.length;
          System.arraycopy(buffer, pos, b, 0, amount);
          if(pos + amount < buffer.length) {
            pos += amount;
          } else
            buffer = null;

          createLines(b,amount);
          return amount;
        }

        // now that the buffer is empty let's read more data and decrypt it
        int n = source.read(b);
        if(n > 0) {
          byte[] tmp = new byte[n];
          System.arraycopy(b, 0, tmp, 0, n);
          pos = 0;
          buffer = handler.handleSSH(tmp);

          if(buffer != null && buffer.length > 0) {
            int amount = buffer.length <= b.length ?  buffer.length : b.length;
            System.arraycopy(buffer, 0, b, 0, amount);
            pos = n = amount;
            if(amount == buffer.length) {
              buffer = null;
              pos = 0;
            }
          }
          else{
            createLines(b,0);
            return 0;
          }
        }
        createLines(b,n);
        return n;
    }

    /////////////////////////
    public boolean getAuth(){
    /////////////////////////
        return auth;
    }

}

